<?xml version="1.0" encoding="UTF-8"?>
<!-- Created with Jaspersoft Studio version 6.20.1.final using JasperReports Library version 6.20.1-7584acb244139816654f64e2fd57a00d3e31921e  -->
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="Kwitansi" pageWidth="612" pageHeight="396" orientation="Landscape" whenNoDataType="NoPages" columnWidth="572" leftMargin="20" rightMargin="20" topMargin="20" bottomMargin="20" whenResourceMissingType="Empty" uuid="44122a13-e7fa-4f89-93e6-da1393d8f70b">
	<property name="com.jaspersoft.studio.data.sql.tables" value=""/>
	<property name="com.jaspersoft.studio.data.defaultdataadapter" value="fms"/>
	<property name="com.jaspersoft.studio.unit." value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageHeight" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.pageWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.topMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.bottomMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.leftMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.rightMargin" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnWidth" value="pixel"/>
	<property name="com.jaspersoft.studio.unit.columnSpacing" value="pixel"/>
	<scriptlet name="Scriptlet_1" class="net.sf.jasperreports.engine.JRDefaultScriptlet"/>
	<parameter name="invoicePaymentId" class="java.lang.String"/>
	<queryString language="SQL">
		<![CDATA[select 	tbmasterorganisation.bank_name,
	tbmasterorganisation.bank_acct_number, 
 	tbmasterorganisation.bank_acct_holder, 
 	tbmasterorganisation.invoice_prefix,
 	tbcustomer.name AS customer_name, 
 	tbcustomer.enable_tax,
 	tbcustomer.npwpcompanyname as customernpw,
 	tbinvoicepayment.payment_report_number,
 	tbinvoicepayment.amount AS ammounttotal,
 	tbinvoicepayment.description,
 	tbinvoicepayment.period,
 	tbinvoicepayment.remark,
 	tbinvoicepayment.tfdate,
 	tbmasterorganisation.other_pic_name,
 	tbinvoicepayment.paymentdate,
	tbcustomer.npwpcompanyname,
	tbcustomer.company_name,
	tbinvoice.invoicedate
FROM tbinvoicepayment
INNER JOIN tbinvoiceinvoicepayment ON tbinvoiceinvoicepayment.invoicepayment_id = tbinvoicepayment.id
INNER JOIN tbinvoice ON tbinvoice.id = tbinvoiceinvoicepayment.invoice_id
INNER JOIN tbmasterorganisation ON tbinvoice.organisation_id = tbmasterorganisation.id
INNER JOIN tbcustomer ON tbinvoicepayment.customer = tbcustomer.id

WHERE tbinvoicepayment.id =  $P{invoicePaymentId}]]>
	</queryString>
	<field name="bank_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_number" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_number"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="bank_acct_holder" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.label" value="bank_acct_holder"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="invoice_prefix" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="invoice_prefix"/>
		<property name="com.jaspersoft.studio.field.label" value="invoice_prefix"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
	</field>
	<field name="customer_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="name"/>
		<property name="com.jaspersoft.studio.field.label" value="customer_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="enable_tax" class="java.lang.Boolean">
		<property name="com.jaspersoft.studio.field.name" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.label" value="enable_tax"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="customernpw" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.label" value="customernpw"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="payment_report_number" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="payment_report_number"/>
		<property name="com.jaspersoft.studio.field.label" value="payment_report_number"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="ammounttotal" class="java.math.BigDecimal">
		<property name="com.jaspersoft.studio.field.name" value="amount"/>
		<property name="com.jaspersoft.studio.field.label" value="ammounttotal"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
	</field>
	<field name="description" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="description"/>
		<property name="com.jaspersoft.studio.field.label" value="description"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="period" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="period"/>
		<property name="com.jaspersoft.studio.field.label" value="period"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
	</field>
	<field name="remark" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="remark"/>
		<property name="com.jaspersoft.studio.field.label" value="remark"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="tfdate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="tfdate"/>
		<property name="com.jaspersoft.studio.field.label" value="tfdate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
	</field>
	<field name="other_pic_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="other_pic_name"/>
		<property name="com.jaspersoft.studio.field.label" value="other_pic_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbmasterorganisation"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="paymentdate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="paymentdate"/>
		<property name="com.jaspersoft.studio.field.label" value="paymentdate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoicepayment"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="npwpcompanyname" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.label" value="npwpcompanyname"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
		<fieldDescription><![CDATA[]]></fieldDescription>
	</field>
	<field name="company_name" class="java.lang.String">
		<property name="com.jaspersoft.studio.field.name" value="company_name"/>
		<property name="com.jaspersoft.studio.field.label" value="company_name"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbcustomer"/>
	</field>
	<field name="invoicedate" class="java.sql.Date">
		<property name="com.jaspersoft.studio.field.name" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.label" value="invoicedate"/>
		<property name="com.jaspersoft.studio.field.tree.path" value="tbinvoice"/>
	</field>
	<variable name="ratusanJuta" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 100000000) % 10]]></variableExpression>
	</variable>
	<variable name="puluhanJuta" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 10000000) % 10]]></variableExpression>
	</variable>
	<variable name="jutaan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 1000000) % 10]]></variableExpression>
	</variable>
	<variable name="ratusRibuan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 100000) % 10]]></variableExpression>
	</variable>
	<variable name="puluhribuan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 10000) % 10]]></variableExpression>
	</variable>
	<variable name="ribuan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 1000) % 10]]></variableExpression>
	</variable>
	<variable name="ratusan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 100) % 10]]></variableExpression>
	</variable>
	<variable name="puluhan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() / 10) % 10]]></variableExpression>
	</variable>
	<variable name="satuan" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{ammounttotal}.intValue() % 10)]]></variableExpression>
	</variable>
	<variable name="kataRatusanJuta" class="java.lang.String">
		<variableExpression><![CDATA[$V{ratusanJuta} == 1 ? "SERATUS" : $V{ratusanJuta} == 2 ? "DUA RATUS" : $V{ratusanJuta} == 3 ? "TIGA RATUS" : $V{ratusanJuta} == 4 ? "EMPAT RATUS" : $V{ratusanJuta} == 5 ? "LIMA RATUS" : $V{ratusanJuta} == 6 ? "ENAM RATUS" : $V{ratusanJuta} == 7 ? "TUJUH RATUS" : $V{ratusanJuta} == 8 ? "DELAPAN RATUS" : $V{ratusanJuta} ==  9 ? "SEMBILAN RATUS" : ""]]></variableExpression>
	</variable>
	<variable name="kataPuluhJutaan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhanJuta} != 1 ? $V{puluhanJuta} == 2 ? "DUA PULUH" : $V{puluhanJuta} == 3 ? "TIGA PULUH" : $V{puluhanJuta} == 4 ? "EMPAT PULUH" : $V{puluhanJuta} == 5 ? "LIMA PULUH" : $V{puluhanJuta} == 6 ? "ENAM PULUH" : $V{puluhanJuta} == 7 ? "TUJUH PULUH" : $V{puluhanJuta} == 8 ? "DELAPAN PULUH" : $V{puluhanJuta} ==  9 ? "SEMBILAN PULUH" : "" : $V{jutaan} == 1 ? "SEBELAS JUTA" : $V{jutaan} == 2 ? "DUA BELAS JUTA" : $V{jutaan} == 3 ? "TIGA BELAS JUTA" : $V{jutaan} == 4 ? "EMPAT BELAS JUTA" : $V{jutaan} == 5 ? "LIMA BELAS JUTA" : $V{jutaan} == 6 ? "ENAM BELAS JUTA" : $V{jutaan} == 7 ? "TUJUH BELAS JUTA" :  $V{jutaan} == 8 ? "DELAPAN BELAS JUTA" : $V{jutaan} == 9 ? "SEMBILAN BELAS JUTA" : $V{puluhanJuta} == 1 ? "SEPULUH" : ""]]></variableExpression>
	</variable>
	<variable name="kataJutaan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhanJuta} > 0 && $V{jutaan} == 0 ? "JUTA" : $V{ratusanJuta} > 0 && $V{puluhanJuta} == 0 && $V{jutaan} == 0 ? "JUTA" : $V{puluhanJuta} >= 1 && $V{puluhanJuta} < 2     ?  "" : $V{puluhanJuta} > 0 && $V{jutaan} == 1 ? "SATU JUTA" :  $V{jutaan} == 1 ? "SATU JUTA" : $V{jutaan} == 2 ? "DUA JUTA" : $V{jutaan} == 3 ? "TIGA JUTA" : $V{jutaan} == 4 ? "EMPAT JUTA" : $V{jutaan} == 5 ? "LIMA JUTA" : $V{jutaan} == 6 ? "ENAM JUTA" : $V{jutaan} == 7 ? "TUJUH JUTA" : $V{jutaan} == 8 ? "DELAPAN JUTA" : $V{jutaan} ==  9 ? "SEMBILAN JUTA" :   ""]]></variableExpression>
	</variable>
	<variable name="kataRatusRibuan" class="java.lang.String">
		<variableExpression><![CDATA[$V{ratusRibuan} == 1 ? "SERATUS" : $V{ratusRibuan} == 2 ? "DUA RATUS" : $V{ratusRibuan} == 3 ? "TIGA RATUS" : $V{ratusRibuan} == 4 ? "EMPAT RATUS" : $V{ratusRibuan} == 5 ? "LIMA RATUS" : $V{ratusRibuan} == 6 ? "ENAM RATUS" : $V{ratusRibuan} == 7 ? "TUJUH RATUS" : $V{ratusRibuan} == 8 ? "DELAPAN RATUS" : $V{ratusRibuan} ==  9 ? "SEMBILAN RATUS" : ""]]></variableExpression>
	</variable>
	<variable name="kataPuluhRibuan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhribuan} != 1 ? $V{puluhribuan} == 2 ? "DUA PULUH" : $V{puluhribuan} == 3 ? "TIGA PULUH" : $V{puluhribuan} == 4 ? "EMPAT PULUH" : $V{puluhribuan} == 5 ? "LIMA PULUH" : $V{puluhribuan} == 6 ? "ENAM PULUH" : $V{puluhribuan} == 7 ? "TUJUH PULUH" : $V{puluhribuan} == 8 ? "DELAPAN PULUH" : $V{puluhribuan} ==  9 ? "SEMBILAN PULUH" : "" : $V{ribuan} == 1 && $V{puluhribuan} == 1 ? "SEBELAS RIBU" : $V{ribuan} == 2 ? "DUA BELAS RIBU" : $V{ribuan} == 3 ? "TIGA BELAS RIBU" : $V{ribuan} == 4 ? "EMPAT BELAS RIBU" : $V{ribuan} == 5 ? "LIMA BELAS RIBU" : $V{ribuan} == 6 ? "ENAM BELAS RIBU" : $V{ribuan} == 7 ? "TUJUH BELAS RIBU" : $V{ribuan} == 8 ? "DELAPAN BELAS RIBU" : $V{ribuan} == 9 ? "SEMBILAN BELAS RIBU" :  $V{puluhribuan} == 1 ? "SEPULUH" :  ""]]></variableExpression>
	</variable>
	<variable name="kataRibuan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhribuan} > 0 && $V{ribuan} == 0 ? "RIBU" : $V{ratusRibuan} > 0 && $V{puluhribuan} == 0 && $V{ribuan} == 0 ? "RIBU" : $V{puluhribuan} >= 1 && $V{puluhribuan} < 2     ?  "" : $V{ratusRibuan} > 0 && $V{ribuan} == 1 ? "SATU RIBU" : $V{puluhribuan} > 0 && $V{ribuan} == 1 ? "SATU RIBU" :  $V{ribuan} == 1 ? "SERIBU" : $V{ribuan} == 2 ? "DUA RIBU" : $V{ribuan} == 3 ? "TIGA RIBU" : $V{ribuan} == 4 ? "EMPAT RIBU" : $V{ribuan} == 5 ? "LIMA RIBU" : $V{ribuan} == 6 ? "ENAM RIBU" : $V{ribuan} == 7 ? "TUJUH RIBU" : $V{ribuan} == 8 ? "DELAPAN RIBU" : $V{ribuan} ==  9 ? "SEMBILAN RIBU" :   ""]]></variableExpression>
	</variable>
	<variable name="kataRatusan" class="java.lang.String">
		<variableExpression><![CDATA[$V{ratusan} == 1 ? "SERATUS" : $V{ratusan} == 2 ? "DUA RATUS" : $V{ratusan} == 3 ? "TIGA RATUS" : $V{ratusan} == 4 ? "EMPAT RATUS" : $V{ratusan} == 5 ? "LIMA RATUS" : $V{ratusan} == 6 ? "ENAM RATUS" : $V{ratusan} == 7 ? "TUJUH RATUS" : $V{ratusan} == 8 ? "DELAPAN RATUS" : $V{ratusan} ==  9 ? "SEMBILAN RATUS" : ""]]></variableExpression>
	</variable>
	<variable name="kataPuluhan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhan} != 1 ? $V{puluhan}== 2 ? "DUA PULUH" : $V{puluhan} == 3 ? "TIGA PULUH" : $V{puluhan} == 4 ? "EMPAT PULUH" : $V{puluhan} == 5 ? "LIMA PULUH" : $V{puluhan} == 6 ? "ENAM PULUH" : $V{puluhan} == 7 ? "TUJUH PULUH" : $V{puluhan} == 8 ? "DELAPAN PULUH" : $V{puluhan} ==  9 ? "SEMBILAN PULUH" : "" : $V{satuan} == 1 ? "SEBELAS" : $V{satuan} == 2 ? "DUA BELAS" : $V{satuan} == 3 ? "TIGA BELAS" : $V{satuan} == 4 ? "EMPAT BELAS" : $V{satuan} == 5 ? "LIMA BELAS" : $V{satuan} == 6 ? "ENAM BELAS" : $V{satuan} == 7 ? "TUJUH BELAS" : $V{satuan} == 8 ? "DELAPAN BELAS" : $V{satuan} == 9 ? "SEMBILAN BELAS" : $V{puluhan} == 1 ? "SEPULUH" : ""]]></variableExpression>
	</variable>
	<variable name="kataSatuan" class="java.lang.String">
		<variableExpression><![CDATA[$V{puluhan} >= 1 && $V{puluhan} < 2     ?  " " :  $V{satuan} == 1 ? "SATU" : $V{satuan} == 2 ? "DUA" : $V{satuan} == 3 ? "TIGA" : $V{satuan} == 4 ? "EMPAT" : $V{satuan} == 5 ? "LIMA" : $V{satuan} == 6 ? "ENAM" : $V{satuan} == 7 ? "TUJUH" : $V{satuan} == 8 ? "DELAPAN" : $V{satuan} ==  9 ? "SEMBILAN" : ""]]></variableExpression>
	</variable>
	<variable name="rpDepan" class="java.lang.String" incrementType="Report">
		<initialValueExpression><![CDATA["Rp." + " #   "]]></initialValueExpression>
	</variable>
	<variable name="rpBelakang" class="java.lang.String" incrementType="Report">
		<initialValueExpression><![CDATA["   #"]]></initialValueExpression>
	</variable>
	<background>
		<band splitType="Stretch"/>
	</background>
	<title>
		<band height="34" splitType="Stretch">
			<staticText>
				<reportElement x="240" y="0" width="100" height="20" uuid="43450890-6fa6-4707-97dc-aad2049ce3a9"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[KWITANSI]]></text>
			</staticText>
			<staticText>
				<reportElement x="34" y="11" width="10" height="22" uuid="fa91fca3-3f99-494a-b440-bb7d66d7dcd5"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="44" y="11" width="185" height="22" uuid="bfb96dc5-d4b0-471c-9b35-fd91df2e1bbd">
					<property name="com.jaspersoft.studio.unit.y" value="px"/>
				</reportElement>
				<box leftPadding="4"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{payment_report_number} == null ? "" :  $F{payment_report_number}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="44" y="33" width="103" height="1" uuid="547bb0b5-e30c-405c-a7e3-6087c0cdb4f2"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="0" y="11" width="33" height="22" uuid="38b9740a-f4e4-40ca-be93-1cd231ed9fe9"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[NO.]]></text>
			</staticText>
		</band>
	</title>
	<pageHeader>
		<band height="34" splitType="Stretch">
			<staticText>
				<reportElement x="0" y="1" width="138" height="16" uuid="8514459b-fa81-4a24-956b-c16e3f10f2e1"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Telah terima dari]]></text>
			</staticText>
			<staticText>
				<reportElement x="138" y="1" width="10" height="16" uuid="3d000172-7d25-4fb3-8a7f-5456512d78b6"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<textField>
				<reportElement x="148" y="1" width="419" height="16" uuid="728f2156-482b-4fc5-9af6-ea508ec0c145"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{company_name}.equals("") ? $F{customer_name} : $F{company_name}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="150" y="33" width="420" height="1" uuid="9ba77b5b-b7dc-4e1b-92fb-54d437b14487"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement x="148" y="17" width="418" height="16" uuid="b49b55f0-e92a-4bf1-812d-d716bca473ce"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{company_name}.equals("")  ? "" : "( " +$F{customer_name} + " )"]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<columnHeader>
		<band height="284">
			<staticText>
				<reportElement x="0" y="4" width="138" height="20" uuid="a9f71b2e-fa91-4086-b629-c00e2eac510d"/>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Uang sejumlah]]></text>
			</staticText>
			<staticText>
				<reportElement x="140" y="4" width="10" height="20" uuid="9697e559-3e42-4ced-8c08-743df30a8cc8"/>
				<textElement textAlignment="Center" verticalAlignment="Top">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<staticText>
				<reportElement x="0" y="47" width="138" height="20" uuid="aa4a5501-9f54-4cd5-ba7c-3baa8a7f3f0e"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Untuk pembayaran]]></text>
			</staticText>
			<staticText>
				<reportElement x="138" y="47" width="11" height="20" uuid="f95b6dbc-a27e-4fc8-a5fa-6c2a9463751b"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[:]]></text>
			</staticText>
			<line>
				<reportElement x="150" y="68" width="420" height="1" uuid="e1da9884-e0c8-4119-9bd7-12621d24274d"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="150" y="97" width="420" height="1" uuid="0cad0900-6b99-4c40-a810-6a26232ca7bc"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<staticText>
				<reportElement x="20" y="112" width="40" height="20" uuid="27cafb1d-f839-4787-aa9c-859a4463e75e"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<text><![CDATA[Note:]]></text>
			</staticText>
			<staticText>
				<reportElement x="20" y="132" width="200" height="20" uuid="3c836674-81b7-4b9f-ab57-2c75c92307d7"/>
				<textElement textAlignment="Left" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<text><![CDATA[Untuk Giro/Transfer]]></text>
			</staticText>
			<line>
				<reportElement x="360" y="132" width="210" height="1" uuid="d6cdb600-a5f3-4f5e-8754-3b2cb5b645ac"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement x="340" y="115" width="252" height="17" uuid="09f853b8-65f5-463e-af43-2a3bf4175a2d"/>
				<textElement textAlignment="Center">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA["JAKARTA, " + new java.text.SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format($F{tfdate}).toUpperCase()]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report">
				<reportElement x="150" y="4" width="420" height="42" uuid="05495bf7-959c-4027-9e48-1d942f9fa4a3"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Left" verticalAlignment="Top">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA["# " + $V{kataRatusanJuta} + ($V{kataRatusanJuta} != "" ? " " : "" ) + $V{kataPuluhJutaan} + ($V{kataPuluhJutaan} != "" ? " " : "" ) + $V{kataJutaan} + ($V{kataJutaan} != "" ? " " : "" ) + $V{kataRatusRibuan} +($V{kataRatusRibuan} != "" ? " " : "" )+ $V{kataPuluhRibuan} + ($V{kataPuluhRibuan} != "" ? " " : "" ) + $V{kataRibuan} + ($V{kataRibuan} != "" ? " " : "" ) + $V{kataRatusan} + ($V{kataRatusan} != "" ? " " : "" ) + $V{kataPuluhan} + ($V{kataPuluhan} != "" ? " " : "" ) + $V{kataSatuan} + " RUPIAH " + "#"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="369" y="224" width="191" height="20" uuid="3f9e8d41-3f23-4e93-824a-ed6d6ae0e391"/>
				<box leftPadding="3"/>
				<textElement textAlignment="Center" verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{other_pic_name}]]></textFieldExpression>
			</textField>
			<textField pattern="dd-MM-yyyy">
				<reportElement x="150" y="76" width="420" height="16" uuid="e482fe95-5522-4ce4-9810-cd22c53b6084">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<box topPadding="0"/>
				<textElement verticalAlignment="Middle">
					<font size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{period} == null || $F{period}.equals("") ? "TGL " + new java.text.SimpleDateFormat("dd MMMM yyyy", new java.util.Locale("id")).format($F{invoicedate}).toUpperCase() + "  (  " + $F{remark}.toUpperCase() + " )  " : $F{period}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="150" y="47" width="421" height="20" uuid="f8eea1bf-f903-489c-9995-0dbd6c5ca883"/>
				<box leftPadding="3"/>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{description} ==null || $F{description}.equals("") ? "SAUSAGE" : $F{description}.toUpperCase()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="21" y="216" width="258" height="20" uuid="73b0e234-b29e-450b-94ce-8e390c25b5d9">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="true"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{rpDepan} + new java.text.DecimalFormat("#,##0").format($F{ammounttotal}.setScale(0, RoundingMode.DOWN)) + $V{rpBelakang}]]></textFieldExpression>
			</textField>
			<line>
				<reportElement x="21" y="215" width="139" height="1" uuid="f98b6b6a-994e-4ab5-b950-dc2a5fc72f8f"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<line>
				<reportElement x="21" y="236" width="139" height="1" uuid="aa342dd4-941a-46cf-a437-5d3865a3b4f3"/>
				<graphicElement>
					<pen lineWidth="0.5"/>
				</graphicElement>
			</line>
			<textField>
				<reportElement x="97" y="153" width="258" height="20" uuid="52ddd54a-cd50-4d4b-b13f-67c95b1b3842">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_holder}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="21" y="153" width="64" height="20" uuid="539caa45-a075-4a58-ade0-d1331c2142d4">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Rek a/n  "]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="21" y="173" width="64" height="20" uuid="97f972b9-00cf-44b1-a8d2-d75eb2292839">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA["No Rek  "]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="97" y="173" width="258" height="20" uuid="47bfc9db-faf1-4909-be3d-1394dbcf1653">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_acct_number}]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="85" y="153" width="12" height="20" uuid="d3b96099-fc18-419c-aa23-4131a9b7b0dd">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[":"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="85" y="173" width="12" height="20" uuid="59502472-8c9b-4d60-a90b-4e07dd49c25c">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[":"]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement x="21" y="193" width="334" height="20" uuid="e5fd7359-c776-49d2-ac97-1986392c8616">
					<property name="com.jaspersoft.studio.unit.height" value="px"/>
				</reportElement>
				<textElement verticalAlignment="Middle">
					<font fontName="SansSerif" size="12" isBold="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{bank_name}]]></textFieldExpression>
			</textField>
		</band>
	</columnHeader>
</jasperReport>
